function [] = printlog(level, format, A)
% PRINTLOG Outputs formatted message, when verbose level high enough (>0).
% 
% Usage: printlog(format,A)
%
% See Also: FPRINTF
%
% @author Hanno Jaspers
% @date 2011
if nargin == 1
    format = level;
    level = 1;
    A = [];
elseif nargin == 2
    if isnumeric(level)
        A = [];
    else
        A = format;
        format = level;
        level = 1;
    end
elseif nargin == 3
    % should be correct
end

if checkVerbose(level)
    fprintf(format,A);
end
end

