function [ theta phi ] = sphereXYZ2ThetaPhi( x, y, z )
%sphereXYZ2ThetaPhi Summary of this function goes here
% 
% Usage: [ theta phi ] = sphereXYZ2ThetaPhi( x, y, z )
%        [ theta phi ] = sphereXYZ2ThetaPhi( X )
%
% -pi <= theta < pi (azimuth)
% 0   <= phi   < pi (elevation/zenith angle)
%
% SEE ALSO: sphereThetaPhi2XYZ
if nargin == 1 && length(x)==3
    z = x(3);
    y = x(2);
    x = x(1);
end

phi = acos(z);
theta = atan2(y,x);

end

