function [ output_args ] = setup( input_args )
%SETUP - Initializes the workspace
%   
% The 'setup' function takes care of 
%  * including the library paths,
%  * initializing global variables.
%
% Change the paths in 'initialize/setupGlobalVariables.m' according to your
% installation!
%
% @author Hanno Jaspers
% @date 2011

clear all;
clear global;

run 'initialize/setupGlobalVariables.m';
run 'initialize/addLibraryPaths.m';

end

