function visualizeHomography(img, K, R, t, fig) 
%VISUALIZEHOMOGRAPHY Summary of this function goes here
% Usage: visualizeHomography(img, K, R, t, fig) 

    pts = [ 0 0 0 ; 1 0 0 ; 0 1 0 ; 0 0 1 ]';
    pts = 100*pts;

    ptst = K*(R*pts+repmat(t,1,4));
    ptst = ptst./repmat(ptst(3,:),3,1);


    figure(fig);
    imshow(img); hold on;
    line([ptst(1,1) ptst(1,2)],[ptst(2,1) ptst(2,2)],'Color','r','LineWidth',1);
    line([ptst(1,1) ptst(1,3)],[ptst(2,1) ptst(2,3)],'Color','g','LineWidth',1);
    line([ptst(1,1) ptst(1,4)],[ptst(2,1) ptst(2,4)],'Color','b','LineWidth',1);
    plot(ptst(1,:),ptst(2,:),'o');
    hold off;

end

