function [ output_args ] = drawFincaOutlines( h )
%DRAWFINCAOUTLINES Summary of this function goes here
%   drawFincaOutlines( figno )

if nargin<1
    h = 1;
end
    

figure(h);

a = [-130 0 0 ; % 1
4635 0 0 ; % 2
7020 2218 0 ; % 3
7020 3775 0 ; % 4
205 3775 0 ; % 5
205 2905 0 ; % 6
-130 2905 0].'; % 7

b = a;
b(3,:) = repmat(2560,1,size(b,2));

a = [a b]; % 8 - 14

connect = [1 2; 2 3; 3 4; 4 5; 5 6; 6 7; 7 1;
    1 8; 2 9; 3 10; 4 11; 5 12; 6 13; 7 14;
    8 9; 9 10; 10 11; 11 12; 12 13; 13 14; 14 8];

xdata = [a(1,connect(:,1)); a(1,connect(:,2))];
ydata = [a(2,connect(:,1)); a(2,connect(:,2))];
zdata = [a(3,connect(:,1)); a(3,connect(:,2))];

line(xdata,ydata,zdata,'Color','b');


end

