function [ output_args ] = projectTestPattern( cam )
%PROJECTTESTPATTERN Summary of this function goes here
%   Detailed explanation goes here
    pts = [3500 3000 1500; 4500 3000 1500; 4000 3000 2000]';
    pts = [pts; 1 1 1];
    pts = [pts pts(:,1)];
    
    R1 = angle2dcm(deg2rad(cam.fixed_rotation(3)), deg2rad(cam.fixed_rotation(2)), deg2rad(cam.fixed_rotation(1)));
    R2 = angle2dcm(0, deg2rad(-cam.pantilt(1)), deg2rad(-cam.pantilt(2)));
    R = R2*R1;
    P = [R -R*cam.position];
    
    ptsp = (cam.K * P) * pts;
    ptsp = ptsp ./ repmat(ptsp(3,:),3,1);

    I = imageLoader([cam.path cam.filename]);
    
    
    
    clf;
    imshow(I);
    hold on;
    plot(ptsp(1,:),ptsp(2,:));
    hold off;
    
end

