function [ t ] = sphereThetaPhi2XYZ( theta, phi )
%SPHERETHETAPHI2XYZ Summary of this function goes here
%
% Usage: [ t ] = sphereThetaPhi2XYZ( theta, phi )
%
% 0 <= theta < 2pi (azimuth)
% 0 <= phi < pi  (elevation/zenith angle)
%
% SEE ALSO: sphereXYZ2ThetaPhi
t = [sin(phi)*cos(theta); sin(phi)*sin(theta); cos(phi)];

end

