function visualizeReprojection(x, X, P, K, figureno)
% visualizeReprojection(x, X, P, K, figureno)
% x <-> X    2D-3D correspondences
%
    if size(X,1)==3
        % pad X with 1
        X = [X; ones(1,size(X,2))];
    end

    % reproject points
    x_recon = hnormalise(K*P*X);
    figure(figureno); clf;
    hold on;
    scatter(x(1,:),x(2,:),'o');
    scatter(x_recon(1,:),x_recon(2,:),'x');
    hold off;
end